%% This is file `emch2025.cls', providing the class emch2025
%%
%% Based on 'isem2005_short.cls',
%% derived from the standard 'article' class
%% 
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{emch2025}
              [2024/09/05 v1.0
 Standard LaTeX document class]

\RequirePackage{times,amsmath,amsfonts,amsthm}

\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
   {\setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
   {\setlength\paperheight {250mm}%
    \setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
   {\setlength\paperheight {14in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
   {\setlength\paperheight {10.5in}%
    \setlength\paperwidth  {7.25in}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{11pt}{\renewcommand\@ptsize{0}} %changed from former: \DeclareOption{10pt}{\renewcommand\@ptsize{0}}  EMCH2025
\fi 
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{niss}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep  0pt% EMCH2025\parsep \z@ 
          }%
   \renewcommand\newblock{\par}}%
}
\ExecuteOptions{a4paper,12pt,notitlepage,oneside,onecolumn,final} % EMCH2025 former: twoside
\ProcessOptions

\input{size12\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}

\oddsidemargin 0mm  % EMCH2025 former: 3.5 pt
\evensidemargin 0mm  % EMCH2025 former: 3.5 pt
%\marginparwidth 68pt
%EMCH2025\topmargin 27pt
%\headheight 12pt \headsep 25pt \footskip 30pt  % EMCH2025 former: \footskip 30pt 
\headheight 0cm \headsep 0cm \footskip 2.7cm 

\textheight = 24cm% EMCH2025\textheight = 46\baselineskip
\textwidth = 16.4cm  % EMCH2025 former: 15.6 cm
%EMCH2025 \advance\textheight by \topskip
%EMCH2025\topmargin=-6mm

%%%%
\mark{{}{}}

\def\ps@headings{\let\@mkboth\markboth
\def\@oddfoot{}\def\@evenfoot{}\def\@oddhead{\hbox {}\sl \rightmark \hfil
\rm\thepage}\def\sectionmark##1{\markright {\uppercsea{\ifnum \c@secnumdepth
>\z@ \thesection\hskip 1em\relax \fi ##1}}}}

\def\ps@myheadings{\let\@mkboth\@gobbletwo
\def\@oddhead{\hbox{}{\sl\rightmark} \hfil {\rm \thepage}}
\def\@oddfoot{}
\def\@evenhead{\rm \thepage\hfil\sl\leftmark\hbox{}}
\def\@evenfoot{}
\def\sectionmark##1{}\def\subsectionmark##1{}}

\def\today{\ifcase\month\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December\fi
 \space\number\day, \number\year}


\ps@plain
\let \@mkboth \@gobbletwo \def \@oddhead {}\def \@oddfoot {\hfil }
\def \@evenhead {} %\let \@evenfoot \@oddfoot
\def\thepage{}
\onecolumn \raggedbottom

\ps@myheadings \pagenumbering{arabic} \onecolumn \@twosidetrue



%

%\def\address#1{\global\def\@address{#1}}
\def\title#1{\global\def\@title{#1}\markboth{#1}{#1}}
%\def\author#1{\global\def\@author{#1}\leftmark{#1}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%Title %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%\def\title#1{\gdef\@title{{\uppercase{#1}}}}
\newcommand\maketitle{\par
  \begingroup
   \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\noindent
    \@textsuperscript{\normalfont\@thefnmark}{\lowercase{##1}}}%
      \newpage
      \global\@topnum\z@
      \@maketitle
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
}
\def\@maketitle{%
  \newpage
  \null
  \vspace*{-30pt}
  % \vspace*{-25pt}% to have the bylines on the beginning of the page
  %\@clinebuf
  %\vspace*{52pt}
  \begin{center}%
  \let\footnote \thanks
  {\fontseries{b}
\Large\@title \par}%
  \vspace*{15pt}% adjustet (former 28) EMCH2025, Vienna
  \@aabuffer\par
  \end{center}%
}


\def\@aabuffer{}
\def\author#1{\expandafter\def\expandafter\@aabuffer\expandafter
    {\@aabuffer{#1}\relax\par
    \vspace*{0pt}}} % EMCH2025 former: 3pt

\def\address#1{\expandafter\def\expandafter\@aabuffer\expandafter
    {\@aabuffer{\small{\textit{#1}\par}\par}\relax\par
    \vspace*{8pt}}} % EMCH2025 former:\vspace*{13pt}}}
%
\def\@clinebuf{}

\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thesection {\@arabic\c@section}
\renewcommand\thesubsection{\thesection.\@arabic\c@subsection} % EMCH2025: reset to the original numbering (see below)
% \renewcommand\thesubsection{\hspace{-2.5ex}} % % EMCH2025 former: {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\hspace{-3.1ex}} %EMCH2025 former: {\thesubsection .\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\hspace{-3.1ex}} %EMCH2025 former: {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {} %{\theparagraph.\@arabic\c@subparagraph}
\newcommand\part{\par
   \addvspace{4ex}
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname~\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex 
     \@afterheading}
\newcommand\section{\@startsection {section}{1}{\z@}%
                                  {-1.7ex \@plus -1ex \@minus -.2ex} %EMCH2025 {-3.5ex \@plus -1ex \@minus -.2ex}
                                  {0.8ex \@plus.2ex} %EMCH2025 {2.3ex \@plus.2ex}
                                   {\normalfont\bfseries}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-1.5ex\@plus -1ex \@minus -.2ex}%EMCH2025{-3.5ex\@plus -1ex \@minus -.2ex}%
                                     {0.3ex \@plus .0ex} %EMCH2025 {2.3ex \@plus .2ex}%
                                     {\normalfont\itshape}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-1.5ex\@plus -1ex \@minus -.2ex}%EMCH2025{-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {0.0ex \@plus .0ex}%EMCH2025 {0.3ex \@plus .2ex}%EMCH2025{1.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {-1.5ex\@plus -1ex \@minus -.2ex}%EMCH2025{3.25ex \@plus1ex \@minus.2ex}%
                                    {0.0ex \@plus .0ex}%EMCH2025 {0.3ex \@plus .2ex}%EMCH2025{-1em}%
                                    {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {-1.5ex\@plus -1ex \@minus -.2ex}%ISEM{3.25ex \@plus1ex \@minus .2ex}%
                                       {0.0ex \@plus .0ex}%EMCH2025 {-1em}%
                                      {\normalfont\normalsize\bfseries}}

\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {1.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
 \setlength  \labelsep  {.0em}% EMCH2025 \setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{itemizeEMCH}
               {\list{$\bullet$\,}{\itemsep    \z@
                        \itemindent   0pt%
                        \parsep 0pt
                      }%
                }
               {\endlist}
     
               
\newenvironment{description}
               {\list{}{\itemsep    \z@
                        \itemindent   0em%
                        \parsep 0pt
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}                                
\if@titlepage
  \newenvironment{abstract}{%
      \titlepage
      \null\vfil
       \small
     \@beginparpenalty\@lowpenalty  
     {\bfseries \abstractname}
      \@endparpenalty\@M}%
     {\par\null\endtitlepage\@afterindentfalse}% 
\else
  \newenvironment{abstract}{%
      \small\quotation
      {\bfseries \abstractname}}
      {\par\endquotation\@afterindentfalse}%EMCH2025{\par\endquotation\vskip.5em\@afterindentfalse}
\fi




\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep    \z@
                        \itemindent   -1.5em%
                        \parsep 0pt %EMCH2025
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
              {\list{}{\listparindent 0.5em%EMCH2025 {\list{}{\listparindent 1.5em%
               \leftmargin 1cm%EMCH2025\leftmargin 5.1em
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
               \parsep 0pt }     %EMCH2025\parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
    }
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \renewcommand\thesection{\@Alph\c@section}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand \theequation {\@arabic\c@equation}
\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\vskip -10pt\@float{figure}}
               {\end@float \vskip -10pt}
               

\newenvironment{figure*}
               {\vskip -10pt\@dblfloat{figure}}
               {\end@dblfloat \vskip -10pt}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\vskip -10pt \@float{table}}
               {\end@float \vskip -10pt}
\newenvironment{table*}
               {\vskip -10pt \@dblfloat{table}}
               {\end@dblfloat \vskip -10pt}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\fontsize{11}{12}\selectfont #1: }{\fontsize{11}{12}\selectfont #2}}%
  \ifdim \wd\@tempboxa >\hsize
    #1:\ #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename
      \@mkboth{%
          \MakeUppercase\listtablename}{\MakeUppercase\listtablename}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure

\def\@caption#1[#2]#3{\small\par \addcontentsline {\csname ext@#1\endcsname
}{#1}{\protect \numberline {\csname the#1\endcsname }{\ignorespaces
#2}}\begingroup \@parboxrestore \small  \@makecaption {\csname
fnum@#1\endcsname }{\ignorespaces #3}\par \endgroup }
\def\table{\begingroup \small \@ifnextchar [{\@xfloat {table}}{\edef
\@tempa {\noexpand \@xfloat {table}[\csname fps@table\endcsname ]}\@tempa}}
\def\endtable{\par \vskip \z@ \egroup \ifnum \@floatpenalty <\z@ \@cons
\@currlist \@currbox \ifdim \ht \@currbox >\textheight \ht \@currbox
\textheight \fi \ifnum \@floatpenalty < -\@Mii \penalty -\@Miv \@tempdima
\prevdepth \vbox {} \prevdepth \@tempdima \penalty \@floatpenalty \else
\vadjust {\penalty -\@Miv \vbox {}\penalty \@floatpenalty }\@esphack \fi
\fi \endgroup}



\newcommand\acknowledgmentsection{\@startsection {section}{1}{\z@}%
                                  {-1.7ex \@plus -1ex \@minus -.2ex} %EMCH2025 {-3.5ex \@plus -1ex \@minus -.2ex}
                                  {0ex \@plus0ex} %EMCH2025 {2.3ex \@plus.2ex}
                                   {\normalfont\bfseries}}

\newenvironment{acknowledgment}
     {\acknowledgmentsection*{Acknowledgements$\;$--$\;$}}%
     


\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{\refname
        \@mkboth{\refname}{\refname}}%
      \small\list{ \@biblabel{\@arabic\c@enumiv}$\;\;$}%EMCH2025\footnotesize\list{ \@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}$\;\;$}%
            \leftmargin\labelwidth
            \parsep -3pt
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty100 %EMCH2025 \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty100 %EMCH2025 \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}

\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip 0pt %EMCH2025\parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem   \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace {\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{\noindent{\bf Abstract.}}
\renewcommand\today{}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}


\frenchspacing

\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\endinput
%%
%% End of file `article.cls'.
